Summary: The Open Motif runtime components.
Name: openMotif
Version: 2.3.3
Release: 10.7%{?dist}1a
Prefix: /usr/X11
BuildRoot: %{_tmppath}/%{name}-%{version}-root
License: The Open Group Public License
Group: User Interface/X
#Source: ftp://ftp.ics.com/pub/Products/Motif/om2.2.3/src/openMotif-%{version}.tar.gz
Source: ftp://ftp.ics.com/openmotif/2.3/2.3.3/openmotif-%{version}.tar.gz
Patch22: openMotif-2.3.0-no_demos.patch
Patch23: openMotif-2.2.3-uil_lib.patch
Patch43: openMotif-2.3.0-rgbtxt.patch
Patch44: openMotif-2.3.0-xft-config.patch
Patch45: openMotif-2.3.0-mwmrc_dir.patch
Patch46: openMotif-2.3.0-bindings.patch
Patch47: openMotif-2.3.0-no_X11R6.patch
Patch49: openMotif-2.3.0-overrun.patch
Patch50: openMotif-2.2.3-text_paste.patch
Patch100: openMotif-2.3.0-yystype.diff
#BuildPrereq: build-essential XOrg-devel flex byacc
Obsoletes: %{name}-devel < 2.2.2-0vl5
Conflicts: lesstif-clients lesstif-mwm
#BuildPrereq: automake14
#BuildArch: fat
Vendor:       HEPonX
Distribution: HEPonX

%description
The base package for the industry standard
user interface toolkit for the X Window
System as enhanced by ICS and others for
better integration with GNOME and KDE desktop
environments.  The base package consists of
the Open Motif runtime components --
shared libraries and mwm (Motif Window Manager).

%package devel
Summary: The Open Motif development libraries and tools.
Group: Development/Libraries
Requires(pre,post): %{name} = %{version}-%{release}
Conflicts: lesstif lesstif-devel lesstif-static

%description devel
The development package includes all of the
Open Motif header files, archive libraries,
the UIL (User Interface Language) compiler,
examples and ICS enhancements for greater
integration with GNOME and KDE desktop
environments.

#%package demos
#Summary: Open Motif example code and demo programs.
#Group: Development/Libraries
#Requires: %{name} = %{version}-%{release}
#
#%description demos
#This is the Open Motif example code and demo programs.

%prep
%setup -q -c openmotif-%{version}
pushd openmotif-%{version}
#%patch22 -p1 -b .no_demos
#%patch23 -p1 -b .uil_lib
#%patch43 -p1 -b .rgbtxt
#%patch44 -p1 -b .xft-config
#%patch45 -p1 -b .mwmrc_dir
%patch46 -p1 -b .bindings
#%patch47 -p1 -b .no_X11R6
#%patch49 -p1 -b .overrun
#%patch50 -p1 -b .text_paste
%patch100 -p0 -b .yystype

#for i in doc/man/man3/{XmColumn,XmDataField}.3; do
#       iconv -f windows-1252 -t utf-8 < "$i" > "${i}_"
#       mv "${i}_" "$i"
#done

popd

mv openmotif-%{version} INTEL
ln -s INTEL X86_64

%build
pushd X86_64
export CPPFLAGS="-I%{_includedir} -L%{_libdir}"
export CFLAGS="-O3 -arch x86_64 -mtune=core2 -I%{_includedir} -L%{_libdir}"
export CXXFLAGS="$CFLAGS"
export FFLAGS="$CFLAGS"

%configure \
	--prefix=%{prefix} \
	--libdir=%{prefix}/%{_lib} \
	--mandir=%{_datadir}/man \
	--enable-xft \
	--enable-jpeg --enable-png \
	--host=%{_rpm_platform64} \
	--build=%{_rpm_platform64} \
	--target=%{_rpm_platform64}

# do not use rpath
perl -pi -e 's|hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=\"-L\\\$libdir\"|g;' libtool
perl -pi -e 's@-dynamiclib@-dynamiclib -arch x86_64@g' libtool

export LD_LIBRARY_PATH=`pwd`/lib/Mrm/.libs:`pwd`/lib/Xm/.libs
make clean
make
popd

%install
rm -rf %{buildroot}
PWD=`pwd`
pushd X86_64
rm -rf ${PWD}-root
export LD_LIBRARY_PATH=`pwd`/lib/Mrm/.libs:`pwd`/lib/Xm/.libs
make DESTDIR=${PWD}-root prefix=%{_prefix} install
cp -f BUGREPORT COPYRIGHT.MOTIF LICENSE README RELEASE RELNOTES ..
popd

# install
mkdir -p %{buildroot}
tar cf - -C X86_64-root . | tar xpf - -C %{buildroot}


mkdir -p %{buildroot}%{prefix}/include
pushd %{buildroot}%{prefix}/include
ln -s %{_includedir}/Xm .
ln -s %{_includedir}/Mrm .
ln -s %{_includedir}/uil .
popd
rm -f %{buildroot}%{_libdir}/lib*.la
rm -f %{buildroot}%{prefix}/lib/lib*.la
rm -rf %{buildroot}%{_mandir}/manm
rm -rf %{buildroot}%{_datadir}/Xm


%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root,wheel) 
%doc BUGREPORT COPYRIGHT.MOTIF LICENSE README RELEASE RELNOTES
#%{prefix}/bin/mwm
#%{prefix}/bin/xmbind
#%{prefix}/bin/uil
%{_bindir}/mwm
%{_bindir}/xmbind
%{_bindir}/uil
%{_includedir}/X11/bitmaps/*
%{prefix}/share/X11/bindings
%{prefix}/lib/libMrm.*.dylib
%{prefix}/lib/libUil.*.dylib
%{prefix}/lib/libXm.*.dylib
%{prefix}/lib/X11/system.mwmrc
%{_mandir}/man1/mwm.*
%{_mandir}/man1/xmbind.*
%{_mandir}/man4/*

%files devel
%defattr(-, root, wheel)
%{prefix}/lib/libXm.dylib
%{prefix}/lib/libMrm.dylib
%{prefix}/lib/libUil.dylib
%{prefix}/lib/*.a
%{prefix}/include/Mrm
%{prefix}/include/Xm
%{prefix}/include/uil
%{_includedir}/Xm
%{_includedir}/Mrm
%{_includedir}/uil
%{_mandir}/man1/uil.*
%{_mandir}/man3/*
%{_mandir}/man5/*

#%files demos
#%defattr(-,root,wheel)
#%{prefix}/bin/DNDDemo
#%{prefix}/bin/airport
#%{prefix}/bin/autopopups
#%{prefix}/bin/bboxdemo
#%{prefix}/bin/colordemo
#%{prefix}/bin/column
#%{prefix}/bin/draw
#%{prefix}/bin/dropdown
#%{prefix}/bin/earth
#%{prefix}/bin/filemanager
#%{prefix}/bin/fileview
#%{prefix}/bin/fontsel
#%{prefix}/bin/getsubres
#%{prefix}/bin/helloint
#%{prefix}/bin/hellomotif
#%{prefix}/bin/i18ninput
#%{prefix}/bin/iconbuttondemo
#%{prefix}/bin/multilist
#%{prefix}/bin/outline
#%{prefix}/bin/paned
#%{prefix}/bin/panner
#%{prefix}/bin/periodic
#%{prefix}/bin/piano
#%{prefix}/bin/sampler2_0
#%{prefix}/bin/setDate
#%{prefix}/bin/simpledrop
#%{prefix}/bin/tabstack
#%{prefix}/bin/todo
#%{prefix}/bin/tooltips
#%{prefix}/bin/tree
#%{prefix}/bin/wsm
#%{prefix}/bin/xmanimate
#%{_datadir}/Xm/*

%changelog
* Tue May 01 2012 Keisuke Fujii <keisuke.fujii@kek.jp> 2.3.3-10.7hepx1a
- 1st release on MacOS10.7
- now build for a single arch: x86_64

* Fri Aug 27 2010 KOBAYASHI Taizo <tkoba965@mac.com> 2.3.3-1
- new upstream release

* Mon Dec 31 2007 KOBAYASHI Taizo <tkoba965@mac.com> 2.3.0-10.5osx0
- rebuild

* Sat Jan 21 2006 KOBAYASHI Taizo <tkoba965@mac.com> 2.3.0-10.4osx2
- Universal Binarize

* Sat Dec 24 2005 KOBAYASHI Taizo <tkoba965@mac.com> 2.3.0-10.4osx1
- source update

* Thu Jul 14 2005 KOBAYASHI Taizo <tkoba965@mac.com> 2.2.3-10.4osx1
- release build

* Fri Jun 10 2005 KOBAYASHI Taizo <tkoba965@mac.com> 2.2.3-10.4osx0.0
- synced with fodora 2.2.3-10

* Tue Dec 14 2004 KOBAYASHI Taizo <tkoba965@mac.com> 2.2.3-10.3tk4
- add patch1 from Fedora Core (CAN-2004-0687-0688)
- add patch2 from Fedora Core (CAN-2004-0914)
- add BuildRequires: autoconf213 automake14 for patch1

* Tue Nov 23 2004 KOBAYASHI Taizo <tkoba965@mac.com> 2.2.3-10.3tk3
- rebuilt

* Sat Nov 20 2004 KOBAYASHI Taizo <tkoba965@mac.com> 2.2.3-10.3tk2
- added Vendor and Distribution tag

* Sat Aug 21 2004 KOBAYASHI R. Taizo <tkoba965@mac.com> 2.2.3-10.3tk1
- modified for MacOS X

* Thu Jun  3 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 2.2.3-0vl1
- source upgrade
- add BuildRequires: flex byacc
- add %%postun -p /sbin/ldconfig
- change configure option
- use %%{prefix} for files section
- sprit example code and demo programs to demos package
- move %%{prefix}/lib/X11/bindings to main package
- make symlink /usr/include/Mrm for %%{prefix}/include/Mrm
- make symlink /usr/include/uil for %%{prefix}/include/uil
- remove %%post devel and %%preun devel

* Wed Apr 14 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 2.2.2-0vl5
- rebuild with XOrg
- clean up changelog to use (double-percent) everywhere 
- add BuildRequires: build-essential XOrg-devel
- make symlink /usr/include/Xm for %%{prefix}/include/Xm in %%install
  (not %%post devel section)
- add Obsoletes: %%{name}-devel < 2.2.2-0vl5
- add PreReq: %%{name} = %%{version} to openMotif-devel package

* Sat Jan  4 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 2.2.2-0vl4
- delete Obsoletes: lines
- add Conflicts: lesstif-clients lesstif-mwm to openMotif package
- add Conflicts: lesstif(-devel, static) to openMotif-devel package

* Fri Jan  3 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 2.2.2-0vl3
- rebuild without lesstif package installed

* Fri Jan  3 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 2.2.2-0vl2
- add %%defattr(-, root, root) in %%files section

* Wed Jan  1 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 2.2.2-0vl1
- build for VineSeed
- cleanup spec
- Obsoletes: lesstif <= 0.91.0-0vl2

* Wed Jan 23 2002 ICS <info@ics.om>
- Switched build system to AutoConf and updated for new openMotif 2.2
- widgets.  

* Wed Aug 30 2000 ICS <info@ics.com> 2.1.30-3_ICS
- Update for the Rev 3 release

* Fri May 19 2000 ICS <info@ics.com> 2.1.bz2.3.bz20-2_ICS
- Significant overhaul for SRPM distribution
